# 1 "help.src" 









# 1 "./cmds.h" 1







# 12 "./cmds.h" 

























































































































# 11 "help.src" 2
# 1 "./help.h" 1







# 12 "./help.h" 




















typedef struct hlp_offset {
    long offset;
    int length;
} hlp_offset;
# 12 "help.src" 2

# 15 "help.src" 



@@@@100
@@92 2

You are currently at SEND level, invoked by giving the SEND command.
SEND allows you to compose a message to send to someone and edit the
particular fields of interest (subject, to-list, cc-list, bcc-list,
text, etc.). You may use your editor to edit the text by giving the
edit command. Note that while typing text in you may type ^K to have
what you have typed thus far re-displayed, ^E to invoke your editor,
and ^B to insert a file. To exit, use ^D or <ESC>. For more help, you
can type HELP ? to get a list of the commands help is available for at
this level.

@@92 1

You are currently at READ level, invoked by giving the READ command.
READ allows you to process your new messages (or for that matter old
ones) in a sequential obvious manner. Type a ? for a list of the
commands you can use at this level. They represent a subset of the top
level commands, and unless otherwise specified each command operates
only on the message you are currently reading. For more information
type HELP followed by ? for a list of the things you can get help on
here.

@@92 0

MM (general help):

MM is a powerful electronic mail system which allows you to send,
read, edit and manage messages quickly and easily.  It is written with
the CCMD package, so you can hit the escape key to complete commands
and "?" to find out what MM is expecting.  See "help CCMD".

These are the five most popular commands:

SEND user-name	Send mail to specified user-name.  May be a USER-NAME
		or a list of USER-NAMES.

READ msgs	Read specified messages, MSGS, from current file.

DELETE msgs	Delete specified messages, MSGS, from current file.

HEADERS msgs	Give a brief summary of the specified messages, MSGS.

HELP topic	Type a message explaining the specified TOPIC.

Type "help ?" to the MM> prompt for a complete list of commands.
Then you can type "help" followed by individual command names, like
"help send".  See "help message-sequence" to learn how to specify
messages in MM.

Type "man mm" to the shell for a complete MM man page.

@@89 0 1 2

CCMD or Command Completion:

MM is written with the CCMD package, which emulates the COMND% jsys
from TOPS-20.  This involves various things to make it easier for MM
to parse your input.

Probably the most important feature is instant help.  At almost any
point when MM is waiting for input from you, you can type a "?", and
MM will tell you what it is looking for.  One exception is when MM is
parsing a paragraph, at which time the question mark will simply get
inserted into the text like any other character.  If you have
partially typed a command, MM will only show you things that match the
current input.

Another feature is command completion or recognition.  This means that
when MM is parsing, you can hit the escape key (usually labeled
"ESC", but sometimes labeled "ALT" or "META") or TAB key
(sometimes labeled "->") and MM will complete the command if it is
unambiguous.  Control-F works similarly to tab and escape, but
completes a little less.  If what you have typed is ambiguous, MM will
beep.  You can then hit "?" to find out the available completions.
For example, if you were typing in the file name "mail.txt" and
there were no other files in your directory beginning with "m", you
could simply type "m<ESC>" and MM would echo "mail.txt ".  If you
typed "m<Control-F>" MM would echo "mail" and wait for you to
finish it.  This is useful when specifying the name of a new file.

A third feature is command history.  Using control-P and control-N you
can redo previous commands.  Control-P goes backwards through the list
of your previous commands, while control-N goes forwards towards the
more recent commands.  You can edit these commands just as you would a
freshly-typed one.

Related to command history is command retry.  This means that after
you have typed a command and hit return, then realize that was not
what you meant to do, you can redo the command.  When you get the
prompt back from MM, if the VERY NEXT character you type is control-H,
MM will redisplay your last command.  You can then delete the
offending parts and run the command you wanted.  This saves you from
having to retype the entire command.

MM will accept comments on any line -- this is most useful inside
files run by the "take" command (see "help take").  The comment
start string is typically "#", and the comment end string is end of line.

In case you should want to input any of these special characters, CCMD
also provides a quoting character, control-V.  Control-V followed by
any character simply inserts that character into the current command.

@@90 0 1 2
Message Sequences:

A message sequence is a series of messages that have some trait in
common.  Various specifiers, listed below, identify a message
sequence; the intersection of the specifiers given determines the
messages to be processed.  Some specifiers are compound and accept a
string argument (e.g., 'FROM FOO', or 'SUBJECT HOMEWORK').  If
the argument to any of these has a space (or certain other
non-alphanumeric characters) in it, the argument should be quoted, as
in 'FROM "JOHN SMITH"'. 

The message sequences available are:

AFTER		Equivalent to SINCE
ALL		Every message in your file, whether deleted or not.
ANSWERED	Messages you have REPLY'd to or ANSWER'd
BEFORE		Messages before a given date
CURRENT		MM keeps a pointer to the current message it is
		set at.  This sequence (which consists of only 1
		message obviously) is that message.
DELETED		Messages you have marked for deletion with the
		DELETE command or the MOVE command
FLAGGED		Messages you have marked with the FLAG command
FROM		Followed with a word or phrase denoting the
		senders of the message; e.g. HEADERS FROM SMITH
		would show all the headers of the messages you've
		received from SMITH.
INVERSE		This is the exact opposite of ALL. Instead of
		of taking the sequence as lowest message number to
		highest, it takes it from highest to lowest
KEYWORD		Messages included in the specified keyword, or all keywords
		if '*' is specified
LAST		Followed with a number specifying the last n messages
		in the file
NEW		Messages that are new as of this MM session
ON		Messages on a given date
PREVIOUS-SEQUENCE
		The last sequence used in an MM command
RECENT		Messages that were new as of this MM session but which
		have already been seen
SEEN		Messages that you have read
SINCE		Messages after a given date (entered as	DATE-MONTH-YEAR
		or mm/dd/yy)
SUBJECT		Followed with a word or phrase denoting the subject
		of the message; e.g. HEADERS SUBJECT MEETING would show
		you all the headers of the messages about a meeting
		(assuming they say MEETING in the header)
TEXT		Followed with a word, phrase or sentence denoting
		the text of the message; e.g. HEADERS TEXT BIZARRE
		would show you the headers of all the messages with
		the word BIZARRE in their text
TO		Followed with the name of a recipient, shows messages
		whose To or cc fields contain that recipient.
UNANSWERED	Messages you have not REPLY'd to or ANSWER'd
UNDELETED	Messages that haven't been deleted via the DELETE or
		MOVE commands
UNFLAGGED	Messages that haven't been flagged by the FLAG command
UNKEYWORD	Messages not included in the specified keyword
UNSEEN		Messages you haven't seen via the READ or TYPE command

Also, message numbers are allowed to be specified as a sequence, i.e.
	1,2,3,5,8   -	 Messages 1, 2, 3, 5, and 8
	1:3,5:8     -	 Messages 1 through 3 and 5 through 8
	5	    -	 Message number 5
	6+3	    -	 Messages 6, 7, and 8

@@32 0 1 2
help:

Give help on a command or mm concept.  Type 'help' followed by a
command name to get help on that command, or 'help' followed by a
carriage return for general help.

@@91 0 1 2

MM Initialization File (mminit):

Whenever MM starts up, it first reads the file "~/.mminit" to set up
your environment.  Type "help set" in MM to learn more about the
variables used to control your MM environment.  Your .mminit file can
be modified through MM's "set" and "create" commands, or modified
with an editor.  It should look just like a list of "set" commands
to MM.  Also, "define" commands to define mail-aliases can be in
your .mminit.

Since reading of the .mminit file can be somewhat slow, MM knows how
to write a faster version of it, called "~/.mmfast".  You will never
need to modify this file in any way, since MM takes care of keeping it
up to date with your .mminit file.  If you feel you are terribly short
on disk space, you can put "set fast-init-file no" in your .mminit,
and MM will stop writing this file.  You can then delete the file.

After your .mminit file is read, MM reads the file "~/.mmrc", which
contains other MM commands.  For example, if you want to read your new
mail EVERY time you go into MM, you can put the "read" command into
your .mmrc file.  See the "take" command for an explanation of how
other files can be read in the way your .mmrc file is.

@@93 0 1 2
!:

"!" (pronounced bang) is a prefix for executing a shell command.  It
causes MM to fork up your default shell and send it the rest of that line.
So the command "! finger" would fork up your shell and run finger.

@@94 0 1 2

Babyl format:

Babyl is the mail file format gnuemacs rmail mode uses.  Use this format
if you wish to use emacs for reading your mail as well as mm.  See the
emacs(1) man page.

@@95 0 1 2

mbox format:

mbox is the mail file format the Unix mail(1) program uses.  Use this format
if you wish to use mail(1) for reading your mail as well as mm.

@@96 0 1 2

mh format:

mh is the format used by the mh(1) message handler utility.  Use this format
if you wish to use mh(1) for reading your mail as well as mm.

@@97 0 1 2

mail-txt format:

mtxt is the format used by MM-20 on DEC20s.  This format is not compatible
with any other Unix mail utilities, but has the advantage of being easier
to parse.  That is, mm will read in an mtxt format file faster than any
other format.

@@98 0 1 2

pop format:

pop is a format for remote mail reading.  It is used for reading your mail
from a personal computer hooked up to a network, and is not yet implemented
at Columbia.

@@99 0 1 2

pop format:

pop is a format for remote mail reading.  It is used for reading your mail
from a personal computer hooked up to a network, and is not yet implemented
at Columbia.

@@0 0 1 2

alias:

The ALIAS command as it was in TOPS20 MM is not implemented in this
version of MM.  If you need to access mail files as some other user,
run su(1) first to substitute your user id temporarily, and then run
MM.  When you are done, exit from MM and the shell created by su to
get back to your own shell.  For help on su(1) type "man su" to the
shell.

If you wish to define a mail-alias, use the "define" command in MM.

@@1 0 1 2

answer or reply:

The ANSWER or REPLY command replies to the current message.  You have the
option of replying to all recipients of the current message or just the
sender, and to include or not include the text of the current message in the
reply.

@@2 2

bcc:

The BCC command takes an argument consisting of addresses separated by
commas. These addresses will receive blind carbon copies of your
outgoing message, which means that no other recipients will see that
the BCC: addresses have received the message as well.

@@3 0 1 2

blank:

The BLANK command blanks the terminal screen.

@@4 0 1 2

browse:

The browse command does bboardish type things.

@@5 0 1 2

bug:

The BUG command can be used to report problems or suggestions you
have for MM to the maintainers of MM.  BUG puts you into SEND
mode with a predefined list of addresses to send the bug to.  You
send it the normal way you would send a message.  The response
may take a short while, e.g. several days.

@@6 2

cc:

The CC command takes an argument consisting of addresses separated by
commas. These addresses will receive carbon copies of your outgoing
message.

@@7 0 1 2

cd:

The CD command changes the current working directory, defaulting to
your home directory.  The working directory is the starting point for
path names not beginning with "/".

@@8 0 1 2

check:

The CHECK command is used to check for new messages that may have
arrived while you are using MM.

@@9 0 1 2

continue:

The CONTINUE command resumes a SEND which was interrupted or QUITed
out of.

@@10 0 1 2

copy:

The COPY command takes two arguments.  The first is a file name and
the second is a message sequence (by default the current message).  It
copies the specified message sequence into the given file leaving it
intact in the current file.  To delete the messages as they are copied,
use the MOVE command instead.

@@11 0 1 2

count:

The COUNT command accepts a message sequence (default ALL) and displays
the message numbers and total number of messages in the sequence.

@@12 0 1 2

create-init:

The CREATE-INIT command will make a file, .mminit, in your
directory which MM subsequently reads when you run MM again.  In
it, you can set various switches to make your MM environment more
comfortable and easy to use for your own personal tastes.  You
can either edit .mminit with an editor or use the SET command to
change the settings of the .mminit parameters.  The PROFILE
command will step you through some of the basic set variables,
and the SHOW command will list all the current settings. The
"HELP SET var-name" command will give more information about each
variable, as well as displaying the current settings.

@@13 0 1 2

daytime:

The DAYTIME command displays the current date and time.  Optional date
and time argument will be converted to local time.

@@14 0 1 2

debug:

Set whether debugging is being done.  "debug yes" will cause some
debugging messages to be printed.  "debug no" will turn this feature
off.

@@15 0 1 2

debug-memory:

Set whether memory debugging is being done.  "debug-memory yes" will
cause some mallocs and frees to be recorded, and verified.
"debug-memory no" will turn this feature off.

@@16 0 1 2

define:

The DEFINE command allows you to define abbreviations, or "aliases", for
recipients or lists of recipients, to make it easier to type long or
hard-to-remember addresses.  The syntax is

        DEFINE (alias) alias-keyword (AS) recipient-list

where alias-keyword is a name consisting only of alphanumeric characters
or "-", and recipient-list is a comma-separated list of addresses.  For
instance,

        MM>DEFINE (alias) mm-authors (AS) chris@cs, howie, melissa, fuat

defines mm-authors as an abbreviation for "chris@cs, howie, melissa, fuat".
To preserve the alias definition, use the CREATE-INIT command to store the
aliases in your .mminit

Aliases are expanded when MM is parsing recipient lists for the SEND,
FORWARD, REMAIL, and related commands.  This includes addresses parsed
from an incoming message (useful when the address or routing you want to
use to reply to someone isn't the address their message came from).
Aliases are also expanded in the body of other alias definitions, but
only if they have already been defined.  That is:

	define andy andrew
	define brothers andy, paul

will cause "brothers" to expand to "andrew, paul", but if the two
defines are reversed, then "brothers" will get expanded to simply
"andy, paul".

To override an alias, if you want to send to a user with the same name as 
one of your aliases, use a backslash "\" in front of the address.

@@17 0 1 2

delete:

The DELETE command takes one argument, a message sequence (default is
current message) and marks it for deletion.  The messages are not
erased until the EXPUNGE or EXIT command is given at top level.

@@18 0 1 2

display:

The DISPLAY command takes one of the following arguments:

	ALL 	 -- shows the entire message
	BCC 	 -- shows only the blind-carbon copy recipients
	CC  	 -- shows only the carbon copy recipients
	FCC	 -- shows only the file-carbon copy recipients
	FROM	 -- shows only the from address
	HEADER	 -- shows only the message header
	REPLY-TO -- shows only the reply-to recipients
	SUBJECT  -- shows only the subject
	TEXT	 -- shows only the text
	TO	 -- shows only the to recipients

The default is ALL.

@@19 0 1 2

echo:

The ECHO command takes a text line as an argument and echos it on the
terminal.  This is useful in "TAKE" files.

@@20 2

edit:

The EDIT command takes one of the following arguments:

	    ALL	-- edit message text and headers
	HEADERS	-- edit the headers of the message
	   TEXT	-- edit the text of the message

If you simply type EDIT followed by a carriage return it defaults to
ALL.

@@20 0 1 

edit:

The EDIT command takes one argument, a message sequence (defaulting
to the current message).  It proceeds to edit each message in that
message sequence using the default editor (as specified in your EDITOR
environment variable or your MM EDITOR variable).

@@21 2

erase:

The ERASE command takes one of the following arguments and removes
that field from the outgoing message:

	ALL	    -- erase the entire message
	BCC	    -- erase the blind carbon-copies address list
	CC	    -- erase the carbon-copies address list
	FCC	    -- erase the File carbon copies list
	FROM	    -- erase the from address
	IN-REPLY-TO -- erase the in-reply-to address
	REPLY-TO    -- erase the reply-to field
	SUBJECT	    -- erase the subject
	TEXT	    -- erase the text
	TO	    -- erase the to address list
	USER-HEADER -- remove some user defined header

@@22 0 1 2

examine:

The EXAMINE command is like the GET command, except that the file is
read-only, and the file reference date is not updated.  Any
modifications made to the file will not get saved, but will have
effect while in this MM session.


@@23 0 1 2

exit:

The EXIT command is used to erase any deleted messages in the current
message file and leave MM.  When suspend-on-exit is set to true, MM will
get suspended.  This allows you to resume the same process and save
initialization time.  If suspend-on-exit is set to false, MM will terminate.
To terminate MM when suspend-on-exit is true, use the QQUIT command.

@@24 0 1 2

expunge:

The EXPUNGE command is used to erase deleted messages from the current
message file and write out a new copy of the file.

@@25 2

fcc:

The FCC command takes an argument consisting of filenames separated by
commas. These filenames will receive copies of your outgoing message.
The list of files will not appear in the sent message, which means
that no other recipients will see that the FCC: files have received
the messageas well.

@@26 0 1 2

flag:

The FLAG command takes one argument, a message sequence (default is
the current message). It marks the messages in that sequence with the
FLAG bit. Use the FLAG command to make messages of importance "stand
out" in your message file.  You can then access them
via the FLAGGED message sequence.

@@27 0 1 2

follow:

Command not implemented yet.

@@28 1

forward:

The FORWARD command takes one argument, the list of addresses to forward
to.  It forwards the message currently being read to that list.  If the
argument is not specified, it is prompted for with To: when you try to
send the message.

@@28 0

forward:

The FORWARD command takes one argument, a message sequence.  It forwards
the messages in the sequence to an address which you specify after typing
carriage return.

@@29 2

from:

The FROM command allows you to specify the "From:" field for
messages.  It is set for only the current message.  If no argument is
supplied, the field will be erased.  If you wish to set this field for
all your outgoing mail, use the SET command to set the DEFAULT-FROM
variable.  If this variable is not set, a standard From field will be
used by default.

@@30 0 1 2

get:

The GET command takes one argument, a file name.  It will read in that
message file, parse the messages and act as if that were the default
message file.  All commands now apply to that file.

The EXAMINE command is similar to GET but it reads in the file in 
read-only mode.

@@31 0 1 2

headers:

The HEADERS command takes one argument, a message sequence
(defaulting to the current message).  It will then output the
one-line header summaries of the messages in that sequence.

@@33 0 1 2

insert:

The INSERT command takes one argument, a file name. It inserts that file
after the current text of the message.

@@34 2

in-reply-to:

The IN-REPLY-TO command takes a line of text as an argument to make
the in-reply-to field of the message you are sending.  This field is
intended to reflect which message you are answering.

@@35 0 1 2

jump:

The JUMP command allows you to specify a message in the current
message file to "jump" to.  In other words, this allows you to set
the current message number.  This command is useful when you are in
read-mode to move to another message in the current sequence.

@@36 0 1 2

keywords:

The KEYWORDS command takes two arguments, a keyword and a message
sequence.  It will then mark the messages in that sequence as being
included in the keyword.  To define a keyword, put a line in your .mminit
of the form:
	set KEYWORDS list-of-keywords
This feature is useful for classifying old messages.

@@37 0 1 2

kill:

At top level, the KILL command takes one argument, a message sequence,
and marks it for deletion.  Otherwise, it deletes the current message.
(The messages are not erased until the EXPUNGE or EXIT command is
given.)  It then does an implicit NEXT command.

@@38 0 1 2

list:

The LIST command takes three arguments: an optional switch (/HEADERS-ONLY or
/SEPARATE-PAGES), a file name or pipe ('|') followed by a command (such as
the print command), and then a message sequence.  It lists the sequence to
the specified file or pipes it to the specified command.

If you want to list the message without regard to the variables
DONT-PRINT-HEADERS or ONLY-PRINT-HEADERS, prefix the LIST command with
the LITERAL command.

@@39 0 1 2

literal:

The LITERAL command is a prefix to the LIST, PRINT and TYPE commands
which causes these commands to ignore the DONT-PRINT-HEADERS and
ONLY-PRINT_HEADERS, or DONT-TYPE-HEADERS and ONLY-TYPE-HEADERS variables.

@@40 0 1 2

mark:

The MARK command takes one argument, a message sequence (defaulting
to the current message).  It will then mark the messages in that
sequence as seen.

@@41 0 1 2

move:

The MOVE command takes two arguments.  The first is a file name and
the second is a message sequence (by default the current message).  It
copies the specified message sequence into the given file and marks the
messages as deleted in the current file.

Use the COPY command to move messages without deleting them.

@@42 0 1 2

next:

The NEXT command goes to the next message in the file (or message
sequence if in READ mode) and types it if undeleted.

@@43 0 1 2

previous:

The PREVIOUS command goes to the previous message in the file (or
message sequence if in READ mode) and types it if undeleted.

@@44 0 1 2

print:

The PRINT command sends the specified sequence of messages to the filter
defined by the print-filter variable.

If you want to print the message without regard to the variables
DONT-PRINT-HEADERS or ONLY-PRINT-HEADERS, prefix the PRINT command with
the LITERAL command.

@@45 0 1 2

profile:

The PROFILE command will help you setup an environment for using MM
corresponding to your desires in message handling. It asks you a series of
questions and then makes MM remember them (via the .mminit file).

It does not go through all of the .mminit options possible.  To set the
fancier options, you can use the SET command along with CREATE-INIT, or
use an editor on the .mminit file.  The HELP SET <option-name> command,
or the SHOW command will document that particular option,
e.g. HELP SET USER-NAME.

See also HELP MMINIT.

@@46 0 1 2

push:

The PUSH command will give you a new (inferior) shell. At this point
you can then do anything you could ordinarliy do in your shell, and
you may get back to MM by exiting the shell.

@@47 0 1 2

pwd:

The PWD command displays your current working directory.  Use the CD
command to set the working directory.

@@48 0

quit:

The QUIT command quits out of MM without erasing any deleted messages.
When suspend-on-quit is set to true, MM will get suspended.  This allows
you to resume the same process and save initialization time.  If
suspend-on-quit is set to false, MM will terminate.  To terminate MM when
suspend-on-quit is true, use the QQUIT command.

@@48 1 2

quit:

The QUIT command gets out of this mode and returns back to the top
level prompt.

@@49 0

qquit:

The QQUIT command is just like the QUIT command, except it never suspends
MM, but always terminates the process.  This command should be used when you
are about to log out and no longer need an MM process.

@@50 0 1 2

read:

The READ command takes one argument, a message sequence, and starts
reading the messages in that sequence in special read-mode.

@@51 0 1

remail:

The REMAIL command is similar to FORWARD, except instead of inserting the
message after typein, the message is sent as is with the header modified
to indicate who did the remailing.  Also, it will send each message in a
sequence as a separate piece of mail.

@@52 2

remove:

The REMOVE command takes a list of addresses separated by commas as an
argument. It removes those from the recipient lists of the message.

@@53 0 1 2

answer or reply:

The ANSWER or REPLY command replies to the current message.  You have the
option of replying to all recipients of the current message or just the
sender, and to include or not include the text of the current message in the
reply.

@@54 2

reply-to:

The REPLY-TO command allows you to specify the "Reply-To:" field for
messages.  It is set for only the current message.  If no argument is
supplied, the field will be erased.  If you wish to set this field for all
your outgoing mail, use the SET command to set the DEFAULT-REPLY-TO
variable.  If a non-standard From field is set (either with the FROM
command, or by the DEFAULT-FROM variable), this field will be set.

@@55 0 1 2  

restore-draft:

The RESTORE-DRAFT command takes a single argument, a file name created
by the SAVE-DRAFT command, and restores the state of the send from that
draft.

@@56 0 1 2

route:

The ROUTE command allows you to specify an alternate recipient for all
mail sent to your userid.  This address can be either a local userid or
a foreign mail address in the form USER@HOST.  For example,

    MM>route (mail to) bc4.m-metz@cu20d
     Mail for mam1 is now routed to bc4.m-metz
    MM>

Issuing the ROUTE command with no arguments disables mail forwarding
for your userid.
To see what the current routing is, use the STATUS command.
Note: The text of the mail routing can only be one line

@@57 0 1 2

save-draft:

The SAVE-DRAFT command takes one argument, a file name, and saves the
message currently being composed into that file, to be retrieved later
using the RESTORE-DRAFT command.

@@58 2

send:

The SEND command sends the message.  Also, if you simply type carriage
return in send mode, it will attempt to send out the message (unless the
variable "default-send-command" has been changed).

@@58 0 1

send:

The SEND command starts sending a message.  It prompts for the
recipients, subject and text of the message.  After typing the text, type
CTRL/D or escape; these will either put you in send-mode or send the
message immediately, depending upon the setting of the
ESCAPE-AUTOMATIC-SEND and CONTROL-D_AUTOMATIC-SEND profile options.  In
send-mode, either confirm with a carriage return or use the SEND command
to actually send the message.  To modify or edit the message before
sending it, use the EDIT command in send-mode or ^E while entering
text.

@@59 0 1 2

set:

The SET command is used to change variables which control your
personal flavor of mm.  These are initialized from the .mminit file in
your home directory.  The changed variables can be written to your
.mminit file with the CREATE-INIT command.  The PROFILE command is used
to create a basic environment and guides you through some of the set
options.  The HELP SET command takes an optional third argument which
is a variable name, resulting in individual help messages being
printed for each set variable, as well as displaying the current
value.  The SHOW command lists the current settings for all
variables.

@@60 0 1 2

show:

The SHOW command displays the current MM environment variable
settings and mail aliases, as established by the SET and DEFINE commands.
The PROFILE command steps you through setting some basic variables, and
the "HELP SET var-name" and "HELP DEFINE mail-alias" commands will
describe individual variables and aliases,  as well as showing the current
values. The CREATE-INIT command can be used to write-out the current set
of values to the MM.INIT file in your user directory.

@@61 0 1 2

sort:

The SORT command takes one argument, a message sequence, and sorts it
chronologically by the dates the messages were generated.

@@62 0 1 2

spell:

The SPELL command invokes the ispell program on the whole message.
See the ISPELL program's documentation for how to use it.

@@63 0 1 2

status:

The STATUS command tells you relevant information and statistics
about your current message file, i.e. how many messages are deleted,
unseen, etc.  With the verbose option, STATUS will give even more
information.

@@64 2

subject:

The SUBJECT command takes a line of text as an argument to make the
subject of the message you are sending.

@@65 0 1 2

suspend:

The SUSPEND command suspends execution of MM.  It may be continued later
with the shell's "fg" command.  Modified mail files will be saved before
control is returned to the shell.

Note: The SUSPEND command is not supported on systems without 
Berkeley "job control."

@@66 0 1 2

take:

The TAKE command takes one argument, a file name.  It temporarily
redirects MM's input to come from that file.  MM closes the file and
restores input from the terminal when any of the following happen: end
of file, command error or a TAKE command with no argument (this
suppresses the "[End of ...]" message).  MM automatically TAKEs the
files .mminit and .mmrc in your login directory at startup.

@@67 2

text:

The TEXT command allows you to continue typing the text of the
message.

@@68 2

to:

The TO command takes a list of addresses separated by commas as an
argument.  It adds these addresses as "to" recipients for the
message.

@@69 0 1 2

type:

The TYPE command takes a single argument, a message sequence.  It then
types out the bodies of those messages.  The default is the current
message.  (Note that in send mode, the "current" message is not the
one you are sending -- use the display command for that.)

If you want to type the message without regard to the variables
DONT-TYPE-HEADERS or ONLY-TYPE-HEADERS, prefix the TYPE command with
the LITERAL command.

@@70 0 1 2

unanswer:

The UNANSWER command takes a single argument, a message sequence
(defaulting to the current message), and removes the answered status
from all the messages in that sequence.

@@71 0 1 2

undelete:

The UNDELETE command takes a single argument, a message sequence
(defaulting to the current message), and undeletes all the messages in
that sequence.

@@72 0 1 2

unflag:

The UNFLAG command takes a single argument, a message sequence (by
defualt the current message) and unflags all the messages in that
sequence.

@@73 0 1 2

unkeyword:

The UNKEYWORD command takes two arguments, a keyword and a message
sequence.  It will then remove the messages in that sequence as from
that keyword.  A '*' will match all keywords.  This feature is useful
for declassifying previously classified messages.

@@74 0 1 2

unmark:

The UNMARK command takes a single argument, a message sequence
(default is current message) and then unmarks all the messages in that
sequence, i.e. makes them appear unseen.

@@75 2

user-header:

The USER-HEADER command takes two arguments; a header keyword as
defined in the USER-HEADERS line in the .mminit file, and a header
text line, and inserts the line with that name in the message
header.

@@76 0 1 2

version:

The VERSION command shows MM's current version number, copyright notice,
and bug report address.

@@77 0 1 2

who:

The WHO command shows how a given mail address will be translated by the
mailsystem into a list of one or more actual recipients.  For example,

	MM>who (is) bug-mm
	 fuat
	 chris
	 melissa
	 howie
	MM>

@@78 0 1 2

write:

The WRITE command is used to write out a new copy of the mail file, as a
sort of checkpointing.  It does not remove deleted messages.  With the
optional filename argument, it will make a copy of your mail file with
the new name.

@@79 0 1 2

suspend:

The SUSPEND command suspends execution of MM.  It may be continued later
with the shell's "fg" command.  Modified mail files will be saved before
control is returned to the shell.

Note: The SUSPEND command is not supported on systems without 
Berkeley "job control."

@@80 0 1 2

bboard:

The BBOARD command reads bulletin boards. It will show the user's NEW 
messages, and takes a bulletin board name as a parameter. It is suggested
that one use the browse command in conjuction with the bboard command
for reading bulletin boards, EG:

      MM> bboard info-mac
        List of NEW messages
      MM> browse new

@@81 0 1 2

find:

The FIND command will search the user-bulletin-boards list sequencially
for NEW messages on each specified bulletin board. It is suggested that
one use the browse command to read the NEW messages. EG:

      MM> find first

          Will find the first bulletin board in the list with NEW messages,
          and list the headers.
     
      MM> find next

          Will find each successive bulletin board with NEW messages and 
          list the headers.

Also: See "help set user-bulletin-boards"

@@82 0 1 2

ignore:

The IGNORE command will time-stamp all of the messages in the current
bulletin board as read, and then execute an implicit "find" command.
You must initially execute either a bboard or find command. EG:

      MM> find
          
          List of the NEW message headers.

      MM> ignore

@@@@



